10 Verifying the Pricing Design Center Installation
Learn how to verify that your Oracle Communications Pricing Design Center (PDC) software was installed or upgraded correctly.
Topics in this document:
Verifying the PDC Installation
You can verify that PDC is installed successfully by checking the state of all installed components or by logging in to PDC.
To check the state of all installed components:
-
Log in to WebLogic Server Remote Console for the domain in which PDC is deployed.
-
Click Monitoring Tree, then Environment, and then Servers.
The Servers page appears.
-
In the State column, verify that the managed servers on which PDC is deployed are in the RUNNING state.
-
Click Monitoring Tree, then Deployments, and then Application Management.
A page listing the deployed applications appears.
-
In the Application Management table, locate the following applications and verify that each application is in the Active state in the State column:
-
JobDispatcher
-
PricingDesignCenter
-
To log in to PDC:
-
Open a browser window.
-
Enter the URL provided at the end of the installation.
Note:
You can also get the URL for accessing PDC from the PDC_home/install/readme.txt file, where PDC_home is the directory in which you installed PDC.
-
Press Enter.
The PDC login page appears.
-
Enter your user name and password.
The PDC home page appears, verifying that PDC is installed successfully.
You can also verify the PDC installation by checking the version number in the PDC_home/apps/bin/VERSION file.
Verifying the BRM Integration Pack Installation
By default, the installer stores sensitive information, such as account and database passwords, in the wallet, and it stores other configuration values in the respective configuration files.
You can verify that BRM Integration Pack is installed successfully by checking that the values entered during the PDC BRM Integration Pack installation are stored in the following configuration files:
-
BRM_Integration_Pack_home/apps/syncpdc/SyncPDCConfiguration.xml
-
BRM_Integration_Pack_home/apps/transformation/TransformationConfiguration.xml
-
(If you installed the migration utility) BRM_Integration_Pack_home/apps/migration/MigrationConfiguration.xml
where BRM_Integration_Pack_home is the directory in which you installed BRM Integration Pack.
You can also verify the BRM Integration Pack installation by checking the version number in the BRM_Integration_Pack_home/apps/bin/VERSION file.
Verifying the PDC REST Services Manager Installation
You can verify that PDC REST Services Manager is installed successfully by checking its configuration files, starting the service, and confirming that it responds to REST API requests.
To verify the PDC REST Services Manager installation:
-
Verify that the values entered during installation are stored in the following configuration files:
-
PDC_RSM_home/apps/conf/application.yaml
-
PDC_RSM_home/apps/conf/meta-config.yaml
where PDC_RSM_home is the directory in which you installed PDC REST Services Manager.
-
-
Verify the PDC REST Services Manager version number in the PDC_RSM_home/apps/bin/VERSION file.
-
Before starting PDC REST Services Manager for the first time, ensure that you have configured a unique AES master password and loaded it into the RSM process environment. See "Configuring the PDC REST Services Manager AES Master Password".
-
As the RSM operating-system user, go to the PDC_RSM_home/apps/bin directory and start PDC REST Services Manager:
cd "$PDC_RSM_home/apps/bin" ./RestServicesManager.sh start
Check the status of PDC REST Services Manager:
./RestServicesManager.sh statusVerify that the status indicates that PDC REST Services Manager is running.
-
After configuring API authentication, obtain a valid OAuth access token for PDC REST Services Manager. Ensure that the TOKEN environment variable contains the access token. See "Securing PDC REST Services Manager Communications" in PDC REST Services Manager Integration Guide for more information.
-
Verify that PDC REST Services Manager responds to API requests by running the following command:
curl -i \ -H "Authorization: Bearer $TOKEN" \ -H "Accept: application/json" \ "http://hostname:port/productCatalogManagement/v4/productOffering"
If TLS is enabled, use HTTPS and validate the server certificate:
curl -i --cacert "/path/to/trusted-certificate.pem" \ -H "Authorization: Bearer $TOKEN" \ -H "Accept: application/json" \ "https://hostname:port/productCatalogManagement/v4/productOffering"
where:
-
hostname is the host name of the machine on which PDC REST Services Manager is running.
-
port is the port number configured for PDC REST Services Manager to receive API requests.
-
TOKEN is a valid OAuth access token authorized to access the API.
-
/path/to/trusted-certificate.pem is the path to the trusted CA certificate or the verified self-signed RSM server certificate.
The expected response is HTTP status code 200 OK and a JSON array containing product offerings. The array can be empty if no matching product offerings exist. When TLS is enabled, verify that the HTTPS request succeeds without certificate validation errors.
-
-
If PDC REST Services Manager does not start or the request fails, check the log files in the PDC_RSM_home/apps/log directory for errors.